use strict;
use Data::Dumper;
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Database::API::Connection qw ( GetTestSite RunOnStore );
use DE_EPAGES::DHLIntraship::API::SOAP::WebServiceClient;
use Test::More;

## no critic ( ProhibitNestedSubs ProhibitMultiplePackages ProhibitPrivateSubroutineUse ProtectPrivateVars)
sub Main {
    RunOnStore(
        'Store' => GetTestSite(),
        'Sub'   => sub {

            # tests
            my $WSClient = DE_EPAGES::DHLIntraship::API::SOAP::WebServiceClient->new(0);
            {

                local *DE_EPAGES::DHLIntraship::API::SOAP::WebServiceClient::_executeCall = sub{
                    my $self = shift;
                    my ($op, $aShippingLabels) = @_;

                    my @TestArray = (0, 1, 2, 3);
                    is( @TestArray ~~ $aShippingLabels, 1, 'createShipmentDD object is passed');
                    return $op;
                };
                my @TestArray = (0, 1, 2, 3);

                my $op = $WSClient->createShipmentDD(\@TestArray);
                is( $op , 'createShipmentDD', 'createShipmentDD Operation is correct');
#
#                $op = $WSClient->deleteShipmentDD(\@TestArray);
#                is( $op , 'deleteShipmentDD', 'deleteShipmentDD Operation is correct');
#
#                $op = $WSClient->doManifestDD(\@TestArray);
#                is( $op , 'doManifestDD', 'doManifestDD Operation is correct');
            }
            done_testing();
        }
    );
}

## use critic ( ProhibitNestedSubs ProhibitMultiplePackages ProhibitPrivateSubroutineUse ProtectPrivateVars)
RunScript( Sub => \&Main );

1;