use strict;

use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Picalike::UI::Product;
use Test::More;

sub Main {
    WrapCleanUpTest('SomeString', 'SomeString');
    WrapCleanUpTest('http://path', '//path');
    WrapCleanUpTest('https://path', '//path');
    WrapCleanUpTest('http://server/WebRoot/path', '/WebRoot/path');
    WrapCleanUpTest('https://server/WebRoot/path', '/WebRoot/path');

    done_testing();
}

sub WrapCleanUpTest{
    my ($input, $expectedOutput) = @_;
    ## no critic (ProtectPrivateSubs)
    my $Result = DE_EPAGES::Picalike::UI::Product::_CleanUpURL($input);
    ## use critic (ProtectPrivateSubs)
    is($Result, $expectedOutput, "_CleanUpURL - checks if:'$input'\t will transformed to: '$expectedOutput'\t");
}

RunScript( Sub => \&Main );